FROM php:7.0-fpm

RUN apt-get update && apt-get install --no-install-recommends -y \
		wget \
		rsyslog \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libmcrypt-dev \
        libpng12-dev \
        git \
        unzip
# PDO
RUN docker-php-ext-install pdo pdo_mysql mysqli mcrypt zip bcmath

# Composer
ADD composer.sh /var/composer.sh
RUN chmod +x /var/composer.sh \
	&& sh /var/composer.sh \
	&& mv composer.phar /usr/local/bin/composer

#X-Debug
RUN yes | pecl install xdebug \
    && echo "zend_extension=$(find /usr/local/lib/php/extensions/ -name xdebug.so)" > /usr/local/etc/php/conf.d/xdebug.ini \
    && echo "xdebug.remote_enable=on" >> /usr/local/etc/php/conf.d/xdebug.ini \
    && echo "xdebug.remote_autostart=off" >> /usr/local/etc/php/conf.d/xdebug.ini
